Package org.eclipse.jface.text.source

# Class AnnotationColumn

java.lang.Object
org.eclipse.jface.text.source.AnnotationRulerColumn
org.eclipse.jface.text.source.AnnotationColumn

All Implemented Interfaces:
  `IVerticalRulerColumn`, `IVerticalRulerInfo`, `IVerticalRulerInfoExtension`

@Deprecated public final class AnnotationColumn extends AnnotationRulerColumn
Deprecated.
use `AnnotationRulerColumn(int)` instead.

Since:
  2.0

## Constructor Summary

Constructors
Constructor
Description
`AnnotationColumn(int width)`
Deprecated.
Use `AnnotationRulerColumn(int)` instead

## Method Summary

### Methods inherited from class org.eclipse.jface.text.source.AnnotationRulerColumn

`addAnnotationType, addVerticalRulerListener, createControl, doPaint, doPaint1, getCachedTextViewer, getControl, getHover, getInclusiveTopIndexStartOffset, getLineOfLastMouseButtonActivity, getModel, getWidth, hasAnnotation, isPropagatingMouseListener, mouseClicked, mouseDoubleClicked, mouseDown, redraw, removeAnnotationType, removeVerticalRulerListener, setFont, setHover, setModel, toDocumentLineNumber`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AnnotationColumn

@Deprecated public AnnotationColumn(int width)
Deprecated.
Use `AnnotationRulerColumn(int)` instead
Creates a new `AnnotationColumn` of the given width.

Parameters:
  `width` - the width of this column